import Foundation
import App

abbrev = 'Kubrick_TOS'
iconName = 'Kubrick_TOS'
longName = 'Kubrick Class'
shipFile = 'Kubrick_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Kubrick_TOS = Foundation.FerengiShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.Kubrick_TOS.desc = "U.S.S. Ursa Major - Kubrick Class\n\nThe Kubrick class is a mobile observatory that travels through space and scans the galaxy at different vantage points with incredible detail using an observatory nacelle located above of the primary hull. Aside from stellar phenomenon and anomalies, the Kubrick class typically scans for M-class planets, valuable minerals and resources such as dilithium, and most importantly radio signals and subspace transmissions that typically indicate the presence of intelligent life. These findings are relayed to Starfleet Command who then dispatches a ship more suited for the specific mission. Though structurally capable, the ship is not designed for long term combat."

if menuGroup:           Foundation.ShipDef.Kubrick_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Kubrick_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]



